#ifndef _highscore_
#define _highscore_
#define SCORES 20
#define NAMELEN 10
#define SCOREDIR "./highscores/"

struct hs_node
{
  char name[NAMELEN];
  int score;
  int level;
  char uid[9];
};

class Highscore
{
public:
  Highscore(void);
  ~Highscore(void);
  
  void AddPlayer(struct hs_node *h, int p);
  int GetPos(struct hs_node h);
  void Dump();

  int Load(char *f);
  int Save(char *f);
  int Create(char *f);
  struct hs_node hs[SCORES];

private:

  void init();
  int score(char *n);
  int pos(int s);

};

#endif

